xcode - গিট ম্যাকোস মোজভে আপডেটের পরে কাজ করছে না(এক্সক্রুন: ত্রুটি: অবৈধ সক্রিয় বিকাশকারী পাথ(/ গ্রন্থাগার/বিকাশকারী/কমান্ডলাইনটুলস)




git macos (8)

গত রাতে (নভেম্বর 2018) আমি ম্যাকোজে মোজেভে আপডেট করেছি,

আজ সকালে আমি আমার ম্যাকবুক প্রোতে কমান্ড লাইনে আমার কাজের কোড বেসে নেভিগেট করেছি,

রেপোতে "গিট স্ট্যাটাস" টাইপ করে ত্রুটিটি পেয়েছে:

xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun

যদি আপনার এক্সকোড ছাড়াই ম্যানুয়ালি এক্সকোড বা সেটআপ না থাকে।

  1. sudo আরএম-আরএফ / গ্রন্থাগার / বিকাশকারী / কমান্ডলাইনটুলস
  2. এক্সকোড 10 এর জন্য কমান্ড লাইন সরঞ্জামগুলি (ম্যাকোস 10.14) ডাউনলোড করে এবং তারপরে ম্যানুয়ালি ইনস্টল করুন https://developer.apple.com/download/more/ এবং কমান্ড লাইন সরঞ্জামগুলি (ম্যাকোস 10.14) ডাউনলোড করুন।
  3. কমান্ড লাইন সরঞ্জাম সেটআপ করুন

এটি সহজ হয়ে নিন

আর

  1. এক্সকোড-নির্বাচন - ইনস্টল। এই যথেষ্ট

আমার ক্ষেত্রে এটি এক্সকোডে চেক করা হয়নি

আপনি নিম্নলিখিত হিসাবে এটি করতে পারেন: এক্সকোড -> পছন্দগুলি এবং ট্যাপ করুন অবস্থানগুলি তারপরে অনুসরণযোগ্য চিত্র হিসাবে নির্বাচন করুন


আমার জন্য যা কাজ করেছে তা নিম্নলিখিত:

sudo xcode-select --reset

তারপরে @ হাই 6 এর উত্তরটি পছন্দ করুন:

sudo xcodebuild -license

এটি এমন কোনও লাইসেন্স প্রকাশ করবে যা আমি ধরে নিই এটি কিছু এক্সকোড লাইসেন্স। স্পেস (বা মাউস) ব্যবহার করে নীচে স্ক্রোল করুন তারপরে agree আলতো চাপুন।

এটি ম্যাকস মোজাভেভ বনাম 10.14 এ আমার জন্য কাজ করেছে।


আমার জন্য, আমি এক্সকোড ইনস্টল করি নি (মোজভে ওএসে)। আমি আমার ম্যাকের অ্যাপ স্টোর এ গিয়ে ডাউনলোড করেছি, তারপরে টার্মিনালে ফিরে গিয়ে git টাইপ করে এন্টার git , তারপরে এটি কাজ করে।


আমি ত্রুটি বার্তাটি থেকে Xcode কমান্ড লাইন সরঞ্জাম অংশটি বের করেছিলাম, তবে এক্সকোড চালানোর পরে এবং এটি ইনস্টল করার জন্য দাবি করা অতিরিক্ত সরঞ্জামগুলি ইনস্টল করার অনুরোধ জানালেও নতুন টার্মিনালটি খোলার পরেও আমি একই ত্রুটি পেয়েছি।

সুতরাং আমি xcode-select --install ম্যানুয়ালি xcode-select --install করেছিলাম এবং তারপরে এটি আমার পক্ষে কাজ করে।


আমি দেখতে পেলাম যে আমার এক্সকোডের সংস্করণটি খুব পুরানো এবং কমান্ড-লাইন-সরঞ্জাম ইনস্টল করা সাহায্য করছে না। আমি যা করেছি তা এখানে:

  • আমি পুরানো এক্সকোডটিকে পুরোপুরি আনইনস্টল করেছি
  • আমি অ্যাপ স্টোর থেকে অতি সাম্প্রতিক এক্সকোডটি পুনরায় ইনস্টল করেছি
  • যে সব ছিল. গিটটি পুনরুদ্ধার করা হয়েছিল।

আশাকরি এটি কাউকে সাহায্য করবে...


এটা চেষ্টা কর:

sudo xcode-select --reset 
sudo xcodebuild -license

অথবা এটা:

xcode-select --install

ডাস্টবাস্টারের জবাব ছাড়াও আমাকে এই কমান্ডটি দিয়ে Xcode ফোল্ডারে পাথ স্থাপন করতে হবে:

sudo xcode-select -switch /Library/Developer/CommandLineTools




terminal